cURL
curl -X GET "https://app.cotool.ai/api/threat-model/versions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/threat-model/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/threat-model/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/threat-model/versions")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/threat-model/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"isCurrent": true,
"authorType": "ai",
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelAlias": "<string>",
"changeDescription": "<string>",
"createdAt": "<string>"
}
],
"recentVersionWindow": 123
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}ThreatModel
List threat model version history
List the full threat model version history for the organization.
GET
/
api
/
threat-model
/
versions
cURL
curl -X GET "https://app.cotool.ai/api/threat-model/versions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/threat-model/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/threat-model/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/threat-model/versions")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/threat-model/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"versions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"isCurrent": true,
"authorType": "ai",
"authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modelAlias": "<string>",
"changeDescription": "<string>",
"createdAt": "<string>"
}
],
"recentVersionWindow": 123
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Was this page helpful?
⌘I